package domain


type AlibabaAelophyOrderGetOrderActivity struct {
    /*
        渠道活动ID     */
    ChannelActivityId  *string `json:"channel_activity_id,omitempty" `

    /*
        关联业务活动ID     */
    BizActivityId  *string `json:"biz_activity_id,omitempty" `

    /*
        关联商家ERP活动ID     */
    MerchantActivityId  *string `json:"merchant_activity_id,omitempty" `

    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        活动优惠金额     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        活动优惠商家分摊     */
    DiscountMerchantFee  *int64 `json:"discount_merchant_fee,omitempty" `

    /*
        活动优惠平台分摊     */
    DiscountPlatformFee  *int64 `json:"discount_platform_fee,omitempty" `

    /*
        活动类型     */
    ActivityType  *string `json:"activity_type,omitempty" `

}

func (s *AlibabaAelophyOrderGetOrderActivity) SetChannelActivityId(v string) *AlibabaAelophyOrderGetOrderActivity {
    s.ChannelActivityId = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderActivity) SetBizActivityId(v string) *AlibabaAelophyOrderGetOrderActivity {
    s.BizActivityId = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderActivity) SetMerchantActivityId(v string) *AlibabaAelophyOrderGetOrderActivity {
    s.MerchantActivityId = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderActivity) SetActivityName(v string) *AlibabaAelophyOrderGetOrderActivity {
    s.ActivityName = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderActivity) SetDiscountFee(v int64) *AlibabaAelophyOrderGetOrderActivity {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderActivity) SetDiscountMerchantFee(v int64) *AlibabaAelophyOrderGetOrderActivity {
    s.DiscountMerchantFee = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderActivity) SetDiscountPlatformFee(v int64) *AlibabaAelophyOrderGetOrderActivity {
    s.DiscountPlatformFee = &v
    return s
}
func (s *AlibabaAelophyOrderGetOrderActivity) SetActivityType(v string) *AlibabaAelophyOrderGetOrderActivity {
    s.ActivityType = &v
    return s
}
